Bug 114777 - Starting eclipse instance before another exits corrupts workspace
Starting eclipse instance before another exits corrupts workspace
Product: Red Hat Developer Suite
Classification: Retired
Component: Platform (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: eclipse-bugs
Depends On:
  Show dependency treegraph
Reported: 2004-02-02 14:30 EST by Jeremy Handcock
Modified: 2007-04-18 13:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-01 12:30:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
.log trace (9.18 KB, text/plain)
2004-02-02 14:33 EST, Jeremy Handcock
no flags Details

  None (edit)
Description Jeremy Handcock 2004-02-02 14:30:55 EST
Description of problem:

The eclipse process takes a while to exit after I close the
application.  If I start another instance of eclipse before the first
one has completely exited, there are errors at startup and the
workspace settings appear to be corrupted.

Version-Release number of selected component (if applicable):

How reproducible: Always

Steps to Reproduce:
1. Start up eclipse
2. Exit eclipse
3. Start up eclipse again, before the first instance has had a chance
to exit completely
Actual results:
Many error dialogs at startup, including the following output on the

Unable to find element factory:
Unable to restore pagee - cannot instantiate input factory:
Could not create view: org.eclipse.ui.views.ResourceNavigator
Unable to find view label: org.eclipse.ui.views.BookmarkNavigator
Could not create view: org.eclipse.ui.views.ContentOutline
Could not create view: org.eclipse.ui.views.TaskList
Unable to find Action Set: org.eclipse.ui.NavigateActionSet

Workspace settings appear corrupted, views are not open.

Expected results: Eclipse startup should proceed as normal.

Additional info: Will attach .log trace.
Comment 1 Jeremy Handcock 2004-02-02 14:33:42 EST
Created attachment 97412 [details]
.log trace

This log shows problems in starting the application server (for the help) and
in creating the views that appear in a normal startup.
Comment 2 Jeff Pound 2004-12-01 12:30:20 EST
This seems to work fine with RHDS 2.0

Note You need to log in before you can comment on or make changes to this bug.